using CODE.Framework.Wpf.Mvvm;
using DocumentExamples.Models.Print;

namespace DocumentExamples.Controllers
{
    public class PrintController : Controller
    {
        public ActionResult CustomerList()
        {
            return DocumentAsView(new CustomerListViewModel());
        }

        public ActionResult CustomerList2()
        {
            return DocumentAsView(new CustomerListViewModel());
        }

        public ActionResult CustomerList3(CustomerWithFilterViewModel model)
        {
            return Document("CustomerList2", model);
        }

        public ActionResult CustomerWithFilter()
        {
            return View(new CustomerWithFilterViewModel());
        }

        public ActionResult ProductCatalog()
        {
            return DocumentAsView(new ProductCatalogViewModel());
        }

        public ActionResult Invoice()
        {
            return DocumentAsView(new InvoiceViewModel());
        }

        public ActionResult EditInvoice()
        {
            return DocumentAsView(new InvoiceViewModel());
        }

        public ActionResult Orders()
        {
            return DocumentAsView(new OrdersViewModel());
        }
    }
}
